Loading...
Searching...
No Matches
PointRasterizeFrustum.h File Reference

Volume rasterization of VDB Points using velocity and camera motion-blur. More...

`#include <openvdb/math/Ray.h>`
`#include <openvdb/math/DDA.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include <openvdb/thread/Threading.h>`
`#include <openvdb/tools/GridTransformer.h>`
`#include <openvdb/tools/Interpolation.h>`
`#include "PointCount.h"`
`#include "PointDataGrid.h"`
`#include "impl/PointRasterizeFrustumImpl.h"`

Go to the source code of this file.

## Classes

class | RasterCamera
| A camera class that provides an interface for camera motion blur when rasterizing. More...
struct | FrustumRasterizerSettings
| A group of shared settings to be used in the Volume Rasterizer. More...
struct | FrustumRasterizerMask
class | FrustumRasterizer< PointDataGridT >
| Efficient rasterization of one or more VDB Points grids into a linear or frustum volume with the option to bake in camera or geometry motion blur. More...
struct | RasterGroups
| A struct that stores all include/exclude attribute names as strings and is internally converted into the resolved MultiGroupFilter. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::points
namespace | openvdb::v11_0::points::point_rasterize_internal

## Enumerations

enum class | RasterMode { ACCUMULATE = 0 , MAXIMUM , AVERAGE }
| How to composite points into a volume. More...

## Detailed Description

Volume rasterization of VDB Points using velocity and camera motion-blur.

Author
  Dan Bailey, Rick Hankins